Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812411 - Review request: bookworm - simple, focused eBook reader
Summary: Review request: bookworm - simple, focused eBook reader
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-NEEDSPONSOR
TreeView+ depends on / blocked
 
Reported: 2020-03-11 09:38 UTC by Bob Hepple
Modified: 2020-05-15 06:32 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-15 06:32:15 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Bob Hepple 2020-03-11 09:38:54 UTC
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/bookworm/fedora-31-x86_64/01300301-bookworm/bookworm-1.1.2-2.fc31.wef.src.rpm
SPEC URL: https://download.copr.fedorainfracloud.org/results/wef/bookworm/fedora-31-x86_64/01300301-bookworm/bookworm.spec

Description: Read the books you love without having to worry about the different
format complexities like epub, pdf, mobi, cbr, etc. This version
supports EPUB, MOBI, FB2, PDF, FB2 and Comics (CBR and CBZ) formats
with support for more formats to follow soon.

FAS Username: wef

Successful build: https://copr.fedorainfracloud.org/coprs/wef/bookworm/build/1300301/

I have another package under review as I await a sponsor: https://bugzilla.redhat.com/show_bug.cgi?id=1808276

Comment 1 Artur Frenszek-Iwicki 2020-03-16 00:43:54 UTC
>License:  GPL-3
The proper identifier in Fedora is "GPLv3".
https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses

Also, from upstream's meson.build:
># project name and programming language
>project('com.github.babluboy.bookworm', ['vala', 'c'],
>    version: '1.1.2'
>)
I'm not sure if using the full name is a good idea here, since if you look into your built package, you'll see that the executable that's put in /usr/bin ends up called "com.github.babluboy.bookworm". While many packages in Fedora use reverse-domain-name full names for .desktop and .appdata.xml files, I'm not sure if any do that for the binaries and /usr/share stuff. Maybe someone more knowledgeable about the subject could share their opinion.

Comment 2 Fabio Valentini 2020-03-16 07:28:56 UTC
(In reply to Artur Iwicki from comment #1)
> >License:  GPL-3
> The proper identifier in Fedora is "GPLv3".
> https://fedoraproject.org/wiki/Licensing:Main#Good_Licenses
> 
> Also, from upstream's meson.build:
> ># project name and programming language
> >project('com.github.babluboy.bookworm', ['vala', 'c'],
> >    version: '1.1.2'
> >)


> I'm not sure if using the full name is a good idea here, since if you look
> into your built package, you'll see that the executable that's put in
> /usr/bin ends up called "com.github.babluboy.bookworm". While many packages
> in Fedora use reverse-domain-name full names for .desktop and .appdata.xml
> files, I'm not sure if any do that for the binaries and /usr/share stuff.
> Maybe someone more knowledgeable about the subject could share their opinion.

This is the way all "made for elementary" / appcenter applications are set up. It's a bit unusual to also use the RDNN name for the executable, but since it works and the application is expected to be launched from a launcher anyway, it's not a problem.

You can look at other elementary applications for examles of this.

(That doesn't mean I agree with them on this decision - I'd much rather have an executable be named elementary-music instead of io.elementary.music, but that's upstream's decision, in the end. At least they have consistent guidelines for this stuff.)

Comment 3 Robert-André Mauchin 🐧 2020-03-25 23:14:59 UTC
 - Be more specific than that:

%{_bindir}/com.github.babluboy.bookworm
%{_datadir}/com.github.babluboy.bookworm
%{_datadir}/glib-2.0/schemas/com.github.babluboy.bookworm.gschema.xml
%{_datadir}/icons/hicolor/*/apps/com.github.babluboy.bookworm.svg
%{_datadir}/applications/com.github.babluboy.bookworm.desktop
%{_metainfodir}/com.github.babluboy.bookworm.appdata.xml

 - You need to handle the locales with %find_lang in %install

%find_lang com.github.babluboy.bookworm

[…]

%files -f com.github.babluboy.bookworm.lang

 - You need to Requires:      hicolor-icon-theme to own the icons directories

 - Validate the desktop file:

BuildRequires: desktop-file-utils

[…]

desktop-file-validate %{buildroot}/%{_datadir}/applications/com.github.babluboy.bookworm.desktop

 - Validate the Appdata:

BuildRequires: libappstream-glib

[…]

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/com.github.babluboy.bookworm.appdata.xml

Validation will fail:

+ appstream-util validate-relax --nonet /builddir/build/BUILDROOT/bookworm-1.1.2-2.fc33.x86_64/usr/share/metainfo/com.github.babluboy.bookworm.appdata.xml
/builddir/build/BUILDROOT/bookworm-1.1.2-2.fc33.x86_64/usr/share/metainfo/com.github.babluboy.bookworm.appdata.xml: FAILED:
? tag-invalid           : <release> version was duplicated
? tag-invalid           : <release> versions are not in order [1.0.0 before 1.1.0]
Validation of files failed

See with upstream how to fix this.


 - Remove .wef:

Release:  2%{?dist}.wef

 - Separate your %changelog entries by a new line

 - don't include Fedora release in changelog entry:

* Wed Mar 11 2020 Bob Hepple <bob.hepple@gmail.com> - 1.1.2-2
- fix Source0

* Sat Feb 22 2020 Bob Hepple <bob.hepple@gmail.com> - 1.1.2-1
- Initial version of the package

 - Use a better name for your archive:

Source0:  %{url}/archive/%{version}/%{name}-%{version}.tar.gz

Comment 4 Robert-André Mauchin 🐧 2020-03-25 23:18:30 UTC
https://github.com/babluboy/bookworm/pull/304

Comment 5 Bob Hepple 2020-03-26 07:38:40 UTC
Thanks Robert-André

Lots for me to fix here.

Comment 7 Robert-André Mauchin 🐧 2020-03-31 15:09:28 UTC
LGTM, package approved.

Comment 8 Gwyn Ciesla 2020-04-01 13:56:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/bookworm

Comment 9 Fedora Update System 2020-04-02 05:58:09 UTC
FEDORA-2020-a329d03f1f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a329d03f1f

Comment 10 Fedora Update System 2020-04-02 06:01:49 UTC
FEDORA-2020-82243dd394 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-82243dd394

Comment 11 Fedora Update System 2020-04-03 19:55:58 UTC
FEDORA-2020-a329d03f1f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-a329d03f1f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a329d03f1f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-04-03 20:49:28 UTC
FEDORA-2020-82243dd394 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-82243dd394 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-82243dd394

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Petr Viktorin 2020-04-08 14:17:50 UTC
There's an issue that fedora-review should have reported on the package:

- Package must not depend on deprecated() packages.
  Note: python27 is deprecated, you must not depend on it.
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/deprecating-packages/


I've opened Bug#1822231 to sort it out.

Comment 14 Bob Hepple 2020-04-08 22:51:12 UTC
Good catch Petr, I totally missed that. I'll put this on hiatus until I can resolve it.

Comment 16 Bob Hepple 2020-05-15 06:32:15 UTC
Version 1.1.3 has reached stable status in Bodhi, so this bug should be closed.


Note You need to log in before you can comment on or make changes to this bug.